[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[EP-tech] Ubuntu and EPrints Version Upgrade



Hi James,

I have installed (but not upgraded to) EPrints 3.4 on both Ubuntu 16.04 and 18.04 and they both install without major issue.  Although 18.04 does have the database issue where you need to create a user that has privileges to allow the epadmin to create a new or recreate the existing database with a user that has permissions to manage it.  One thing I noted with an install shortly after the release of 18.04 was that it installed the multi-threaded rather than single-threaded (prefork) module for Apache.  This meant that Apache had a tendency to seg fault but I have done some installs more recently and this no longer seems to be an issue.  However, the libxml-libxslt-perl package have been removed from the eprints DEB package list of dependencies, as this is what led to the seg faults when running Apache in MPM event mode.  libxml-libxslt-perl is only needed if you have import/export modules that rely on XSLT to do transformations. I do not think EPrints 3.4 currently has any of these by default.

Regarding EPrints 3.4, if you install the latest version (3.4.1) there are a couple of snags that have been fixed since April 5th (see [1]).  The guide for upgrading from 3.3.12 to 3.4 is quite detailed [2].  This should be suitable for later versions of 3.3 as well.  With any upgrade/migration I would advise doing the install (of the upgraded system on a new server) and an initial migration of data to allow users to test for a period before doing a freeze (disable login, logout out users (truncate loginticket table) and stop indexer) before dumping out the database, rsyncing across the archive's document directory and then reimporting the database on the new server, as a final migration before switching over DNS to point at this new server.

I have done a number of upgrade of 3.3 to 3.4 although mostly if not exclusively on CentOS 7.  However, I am also quite familiar with Ubuntu and translating things been the two OS.  So if you have any issues, then let me know (direct email) and I will see if I can help.

Regards

David Newman

[1] https://github.com/eprints/eprints3.4/commits/master<https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2Feprints%2Feprints3.4%2Fcommits%2Fmaster&data=01%7C01%7C%7Cacdd149b471144f6802808d740cc3f31%7C4a5378f929f44d3ebe89669d03ada9d8%7C0&sdata=2KSW%2FyRmABoLlijMuUBU8emNwZfOkAyoI2AG3%2FtYxeM%3D&reserved=0>

[2] https://wiki.eprints.org/w/Upgrading_3.3.12%2B_to_3.4<https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwiki.eprints.org%2Fw%2FUpgrading_3.3.12%252B_to_3.4&data=01%7C01%7C%7Cacdd149b471144f6802808d740cc3f31%7C4a5378f929f44d3ebe89669d03ada9d8%7C0&sdata=uLGQWqmxvmilBd%2BVL3btK%2Fn6MRnmF77GNtxJLA71iY4%3D&reserved=0>

On 23/09/2019 12:25, James Kerwin via Eprints-tech wrote:
Hi All,

We currently have an old version of Ubuntu on our live and test servers, with EPrints 3.3.14 running on them.

I would like to upgrade both Ubuntu and EPrints with as little fuss as possible. I intend to go to a minimum of Ubuntu 16.04 and EPrints to 3.4.

Is there anything I should be aware of? Regarding the Ubuntu upgrade I suspect I may need to re-install some Perl modules in the best case scenario. I don't want to think about the worst case, although I will be ensuring I have a viable backup to fall back on.

For the EPrints upgrade I have no idea what to expect, although I have read through the various guides. I'm slightly more nervous about this because EPrints is a relatively niche area compared to Ubuntu.

Any pointers and advice would be much appreciated. I know the problems I might face depend on how my servers are set up, but on the off-chance there are common problems I'm not aware of I thought it might be good to ask this list.

Thanks,
James



*** Options: http://mailman.ecs.soton.ac.uk/mailman/listinfo/eprints-tech
*** Archive: http://www.eprints.org/tech.php/<https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.eprints.org%2Ftech.php%2F&data=01%7C01%7C%7Cacdd149b471144f6802808d740cc3f31%7C4a5378f929f44d3ebe89669d03ada9d8%7C0&sdata=tOmgJy7xfry%2FxHRSbwPiCWG0rrLDC25GnuLMT53ZE0U%3D&reserved=0>
*** EPrints community wiki: http://wiki.eprints.org/<https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwiki.eprints.org%2F&data=01%7C01%7C%7Cacdd149b471144f6802808d740cc3f31%7C4a5378f929f44d3ebe89669d03ada9d8%7C0&sdata=i4%2Fk85BrXWMtdlkrnKvpXMLZMVgBDgvjwgwr30zqdGE%3D&reserved=0>
*** EPrints developers Forum: http://forum.eprints.org/<https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fforum.eprints.org%2F&data=01%7C01%7C%7Cacdd149b471144f6802808d740cc3f31%7C4a5378f929f44d3ebe89669d03ada9d8%7C0&sdata=SPqtJGTK8y6KqvsdXc7Ym5uhoswE4f%2FkEWaHRnlSEak%3D&reserved=0>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mailman.ecs.soton.ac.uk/pipermail/eprints-tech/attachments/20190924/c6a400fb/attachment-0001.html